Bug 1019215 - Review Request: ghc-network-enumerator - Enumerators for network sockets
Review Request: ghc-network-enumerator - Enumerators for network sockets
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Shakthi Kannan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-15 06:03 EDT by Jens Petersen
Modified: 2014-03-24 06:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-24 06:10:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shakthimaan: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Jens Petersen 2013-10-15 06:03:54 EDT
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=6061569
Comment 2 Jens Petersen 2013-10-15 06:25:21 EDT
Needed for the websockets library.
Comment 3 Shakthi Kannan 2013-11-30 20:33:29 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

C/C++:
[-]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 122880 bytes in 17 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.

Rpmlint
-------
Checking: ghc-network-enumerator-0.1.5-1.fc19.x86_64.rpm
          ghc-network-enumerator-devel-0.1.5-1.fc19.x86_64.rpm
          ghc-network-enumerator-0.1.5-1.fc19.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

Rpmlint (installed packages)
----------------------------
# rpmlint ghc-network-enumerator ghc-network-enumerator-devel
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'

Requires
--------
ghc-network-enumerator (rpmlib, GLIBC filtered):
    ghc(base-4.5.1.0-6e4c9bdc36eeb9121f27ccbbcb62e3f3)
    ghc(bytestring-0.9.2.1-503e91bb155301fdb1956cb5c26ce6e9)
    ghc(enumerator-0.4.19-27ff248ca60645d7b3b73b44ac567b75)
    ghc(network-2.3.1.0-efa1c7220c576804829351b700849052)
    ghc(transformers-0.3.0.0-8e66ecc7d4dae2b07b2b5406908c70e4)
    libHSarray-0.4.0.0-ghc7.4.2.so()(64bit)
    libHSbase-4.5.1.0-ghc7.4.2.so()(64bit)
    libHSbytestring-0.9.2.1-ghc7.4.2.so()(64bit)
    libHScontainers-0.4.2.1-ghc7.4.2.so()(64bit)
    libHSdeepseq-1.3.0.0-ghc7.4.2.so()(64bit)
    libHSenumerator-0.4.19-ghc7.4.2.so()(64bit)
    libHSghc-prim-0.2.0.0-ghc7.4.2.so()(64bit)
    libHSinteger-gmp-0.4.0.0-ghc7.4.2.so()(64bit)
    libHSmtl-2.1.2-ghc7.4.2.so()(64bit)
    libHSnetwork-2.3.1.0-ghc7.4.2.so()(64bit)
    libHSparsec-3.1.3-ghc7.4.2.so()(64bit)
    libHStext-0.11.2.3-ghc7.4.2.so()(64bit)
    libHStransformers-0.3.0.0-ghc7.4.2.so()(64bit)
    libHSunix-2.5.1.1-ghc7.4.2.so()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgmp.so.10()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libutil.so.1()(64bit)
    rtld(GNU_HASH)

ghc-network-enumerator-devel (rpmlib, GLIBC filtered):
    /bin/sh
    ghc(network-enumerator-0.1.5-bb253ca2ff97515966b8604da254a9ac)
    ghc-compiler
    ghc-devel(base-4.5.1.0-6e4c9bdc36eeb9121f27ccbbcb62e3f3)
    ghc-devel(bytestring-0.9.2.1-503e91bb155301fdb1956cb5c26ce6e9)
    ghc-devel(enumerator-0.4.19-27ff248ca60645d7b3b73b44ac567b75)
    ghc-devel(network-2.3.1.0-efa1c7220c576804829351b700849052)
    ghc-devel(transformers-0.3.0.0-8e66ecc7d4dae2b07b2b5406908c70e4)
    ghc-network-enumerator(x86-64)

Provides
--------
ghc-network-enumerator:
    ghc(network-enumerator-0.1.5-bb253ca2ff97515966b8604da254a9ac)
    ghc-network-enumerator
    ghc-network-enumerator(x86-64)
    libHSnetwork-enumerator-0.1.5-ghc7.4.2.so()(64bit)

ghc-network-enumerator-devel:
    ghc-devel(network-enumerator-0.1.5-bb253ca2ff97515966b8604da254a9ac)
    ghc-network-enumerator-devel
    ghc-network-enumerator-devel(x86-64)
    ghc-network-enumerator-static

Unversioned so-files
--------------------
ghc-network-enumerator: /usr/lib64/ghc-7.4.2/network-enumerator-0.1.5/libHSnetwork-enumerator-0.1.5-ghc7.4.2.so

Source checksums
----------------
http://hackage.haskell.org/packages/archive/network-enumerator/0.1.5/network-enumerator-0.1.5.tar.gz :
  CHECKSUM(SHA256) this package     : 736beeeaf446c2263266b5ed192346ff2cfdd3a3b87839d59869a801787b1c86
  CHECKSUM(SHA256) upstream package : 736beeeaf446c2263266b5ed192346ff2cfdd3a3b87839d59869a801787b1c86

Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -b 1019215
Buildroot used: fedora-19-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

Successful Koji builds for F18, F19 and F20:

http://koji.fedoraproject.org/koji/taskinfo?taskID=6242561
http://koji.fedoraproject.org/koji/taskinfo?taskID=6242562
http://koji.fedoraproject.org/koji/taskinfo?taskID=6242560
Comment 4 Jens Petersen 2013-12-02 01:43:14 EST
Thanks

New Package SCM Request
=======================
Package Name: ghc-network-enumerator
Short Description: Enumerators for network sockets
Owners: petersen
Branches: f20 f19 f18 el6
InitialCC: haskell-sig
Comment 5 Gwyn Ciesla 2013-12-02 08:15:12 EST
Git done (by process-git-requests).
Comment 6 Jens Petersen 2013-12-04 01:44:50 EST
I noticed this week that the latest major version of websockets no longer
depends on this library, in fact it changed from enumerator to io-streams...
wish I had noticed earlier.

Anyway currently various libs still need websockets-0.7 though
so it is probably still ok to have this package in Fedora
though it may not be so long used.
http://packdeps.haskellers.com/reverse/websockets
Comment 7 Jens Petersen 2014-02-04 01:02:06 EST
(In reply to Jens Petersen from comment #6)
> Anyway currently various libs still need websockets-0.7 though
> so it is probably still ok to have this package in Fedora
> though it may not be so long used.
> http://packdeps.haskellers.com/reverse/websockets

By now nearly all websocket consumers have moved to requiring 0.8.

Apologies again for the wasted effort but I think I will close
this soon as deferred since it looks like this library is not
needed in Fedora any more, unless some new important consumer
of this packages appears soon.
Comment 8 Jens Petersen 2014-03-24 06:10:11 EDT
Closing this for now: retired from Rawhide - more later.

Note You need to log in before you can comment on or make changes to this bug.